import 'package:plexus/plexus.dart';
import 'package:test/test.dart';

void main() {
  test('extension_template', () {
    expect(r'Hello, $name!'.fillTemplate({'name': 'World'}), 'Hello, World!');
  });

  test('extension_iterable_insensitive', () {
    expect(['UwU'].insensitiveContains('uWu'), true);
  });

  test('root_module_exists', () {
    expect(RootModule() is RootModule, true);
  });

  test('root_module_is_module', () {
    expect(RootModule() is Module, true);
  });

  test('root_module_has_middleware', () {
    expect(RootModule() is ModuleMiddleware, true);
  });

  test('root_module_level', () {
    final root = RootModule();
    print(RootModule.defaultLevel);
    print(root.level);
    expect(root.level == RootModule.defaultLevel, true);
  });

  test('root_module_log', () {
    RootModule().log(Level.SUCCESS, 'Hello, World!');
  });
}
